gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.GObjectAccessible

Contents

- Exported types
- Methods
  - forObject
  - getObject

Description

This object class is derived from AtkObject. It can be used as a basis for implementing accessible objects for GObjects which are not derived from GtkWidget. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

Synopsis

- newtype GObjectAccessible = GObjectAccessible (ManagedPtr GObjectAccessible)
- class GObject o => IsGObjectAccessible o
- toGObjectAccessible :: (MonadIO m, IsGObjectAccessible o) => o -> m GObjectAccessible
- noGObjectAccessible :: Maybe GObjectAccessible
- gObjectAccessibleForObject :: (HasCallStack, MonadIO m, IsObject a) => a -> m Object
- gObjectAccessibleGetObject :: (HasCallStack, MonadIO m, IsGObjectAccessible a) => a -> m Object

# Exported types

newtype GObjectAccessible Source #

Memory-managed wrapper type.

Constructors

GObjectAccessible (ManagedPtr GObjectAccessible) |

Instances

GObject GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible Methods gobjectType :: GObjectAccessible -> IO GType Source #
IsObject GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible
IsObject GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible
IsGObjectAccessible GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible

class GObject o => IsGObjectAccessible o Source #

Type class for types which can be safely cast to `GObjectAccessible`, for instance with `toGObjectAccessible`.

Instances

(GObject a, (UnknownAncestorError GObjectAccessible a :: Constraint)) => IsGObjectAccessible a Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible
IsGObjectAccessible GObjectAccessible Source # |
Instance details Defined in GI.Atk.Objects.GObjectAccessible

toGObjectAccessible :: (MonadIO m, IsGObjectAccessible o) => o -> m GObjectAccessible Source #

Cast to `GObjectAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

noGObjectAccessible :: Maybe GObjectAccessible Source #

A convenience alias for `Nothing` :: `Maybe` `GObjectAccessible`.

# Methods

## forObject

gObjectAccessibleForObject Source #

Arguments

:: (HasCallStack, MonadIO m, IsObject a) |
=> a | `obj`: a `Object`
-> m Object | Returns: a `Object` which is the accessible object for the `obj`

Gets the accessible object for the specified `obj`.

## getObject

gObjectAccessibleGetObject Source #

Arguments

:: (HasCallStack, MonadIO m, IsGObjectAccessible a) |
=> a | `obj`: a `GObjectAccessible`
-> m Object | Returns: a `Object` which is the object for which `obj` is the accessible object

Gets the GObject for which `obj` is the accessible object.